मुख्य सामग्री पर जाएं
GET
/
2
/
communities
/
{id}
id द्वारा कम्युनिटी प्राप्त करें
curl --request GET \
  --url https://api.x.com/2/communities/{id} \
  --header 'Authorization: Bearer <token>'
{
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

पथ पैरामीटर

id
string
आवश्यक

Community की ID। इस Community का अद्वितीय पहचानकर्ता।

Pattern: ^[0-9]{1,19}$
उदाहरण:

"1146654567674912769"

क्वेरी पैरामीटर

community.fields
enum<string>[]

प्रदर्शित करने के लिए Community फ़ील्ड्स की अल्पविराम-से-पृथक सूची। Community ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
access,
created_at,
description,
id,
join_policy,
member_count,
name
उदाहरण:
[
"access",
"created_at",
"description",
"id",
"join_policy",
"member_count",
"name"
]

प्रतिक्रिया

अनुरोध सफल रहा।

data
object

एक X Community पोस्ट्स का चुना हुआ समूह है।

errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।